Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065133 - Scalable apps not routed to haproxy through node web proxy
Summary: Scalable apps not routed to haproxy through node web proxy
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Mrunal Patel
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-14 01:30 UTC by Mrunal Patel
Modified: 2015-05-14 23:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-12 03:07:24 UTC


Attachments (Terms of Use)

Description Mrunal Patel 2014-02-14 01:30:48 UTC
Description of problem:

Scalable apps accessed through port 8000 route to local gear instead of HA Proxy


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a scalable app
2. routes.json endpoint IP for the app dns will be for local web framework gear rather than HA Proxy IP


Actual results:
It routes to the HA Proxy IP.

Comment 2 openshift-github-bot 2014-02-14 02:33:12 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/7ce8cae92aa0af19bcd94dd40f423df464e88569
Bug 1065133: Add websocket option to haproxy manifest and sanitize uri returned from mod_rewrite.

Comment 3 Meng Bo 2014-02-14 06:45:41 UTC
Issue fixed on devenv_4375, the IP in routes.json for scalable app point to the haproxy IP.

[jbeap1s-bmengdev.dev.rhcloud.com 52fdb82aaa302e24a9000001]\> env|grep IP
OPENSHIFT_HAPROXY_STATUS_IP=127.1.247.3
OPENSHIFT_JBOSSEAP_IP=127.1.247.1
OPENSHIFT_HAPROXY_IP=127.1.247.2

[root@ip-10-181-213-90 .httpd.d]# cat routes.json|python -mjson.tool
{
    "jbeap1s-bmengdev.dev.rhcloud.com": {
        "endpoints": [
            "127.1.247.2:8080"
        ], 
        "limits": {
            "bandwidth": 100, 
            "connections": 5
        }
    },


Note You need to log in before you can comment on or make changes to this bug.